summaryrefslogtreecommitdiffstats
path: root/abs/core/shadow/shadow.install
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/shadow/shadow.install')
-rw-r--r--abs/core/shadow/shadow.install13
1 files changed, 5 insertions, 8 deletions
diff --git a/abs/core/shadow/shadow.install b/abs/core/shadow/shadow.install
index 881a67b..c1bd106 100644
--- a/abs/core/shadow/shadow.install
+++ b/abs/core/shadow/shadow.install
@@ -1,11 +1,8 @@
post_upgrade() {
- # fix gshadow
- if [ "$(grpck -r)" ]; then
- echo "Fixing gshadow file ..."
- while :; do echo "y"; done | grpck
+ grpck -r &>/dev/null
+ if [ $? -eq 2 ]; then
+ echo "Fixing gshadow file ..."
+ while :; do echo "y"; done | grpck &>/dev/null
fi
+ return 0
}
-
-op=$1
-shift
-$op $*